---
slug: 'pricing'
title: 'Pricing'
heading: 'Data Controller Pricing'
previewImg: './static/home_illustration2-00649b1f413e09cfec86a2afba69dacc.png'
desc: 'Our Pricing Goals are to be Transparent, Simple, and Fair'
description: Data Controller for SAS&reg; pricing starts from FREE, is fully TRANSPARENT, and - at Enterprise Level - totally FLEXIBLE.
---

<style>
  table {
    width: 100%;
  }
</style>

## Packages

Data Controller is available in four packages, with no limits on number of users (since [v6](https://datacontroller.io/v6-0-api-explorer/)).  Data Controller can run on ANY flavour of SAS - be that Viya, EBI, or [SASjs Server](https://server.sasjs.io).

|                          | Community       | Bronze    | Silver    | Gold       |
|--------------------------|-----------------|-----------|-----------|------------|
| Number of Users          | Unlimited       | Unlimited | Unlimited | Unlimited  |
| Environments             | Unlimited       | Unlimited | Unlimited | Unlimited  |
| Libraries                | Unlimited       | Unlimited | Unlimited | Unlimited  |
| Tables (per library)     | 35              | 100       | Unlimited | Unlimited  |
| Rows (VIEW)              | 15              | 100       | Unlimited | Unlimited  |
| Rows (UPLOAD)            | 5               | 100       | Unlimited | Unlimited  |
| Rows (HISTORY)           | 15              | 100       | Unlimited | Unlimited  |
| Lineage                  | 3 per day       | 100       | Unlimited | Unlimited  |
| Viewboxes                | 1               | 3         | 6 (max)   | 6 (max)    |
| Data Controller Support  | Best Endeavours | 8hr SLA   | 8hr SLA   | 4hr SLA    |
| SASjs Support            | ❌               | ✅         | ✅         | ✅          |
| In-house SAS App Support | ❌               | ❌         | ✅         | ✅          |
| Developer Days           | ❌               | ❌         | ❌         | ✅          |
| Consulting Days          | ❌               | ❌         | ❌         | ✅          |
| Perpetual Licence Option | ❌               | ❌         | ❌         | ✅          |
| Price                    | FREE            | 12k EUR pa | 25k EUR pa| Contact Us |

</br>
<i>Data Controller Development Days (to build new product features etc) are available for all plans at a price of 600 EUR per day.  Consulting rates are published <a href="https://sasapps.io/pricing">here</a>.</i>


## Support

### Tickets

Our support goal is to get you back up and running as soon as possible in the case of any incidents. In addition, we are on hand to assist with troubleshooting, debugging, strategic advice, and to answer any questions in relation to your SAS App(s) - be they from admins, users, or developers.

Tickets may be raised at either:

1. Support Desk:  https://support.4gl.io
2. Support Mailbox: support@datacontroller.io


The corresponding severity level should also be specified, eg as follows:

1. Level 1 - App is non-functional and cannot be used
2. Level 2 - Critical issue, however the app is still functional
3. Level 3 - Important issue
4. Level 4 - Minor Issue

The severity level will be initially assigned by the client, and is subject to the agreement of all parties. Circumstances may change during the lifecycle of an issue, and hence the priority may change (again, subject to all party agreement).

"Response Time" means the number of hours between the logging of the Support Request, and the time that a technician begins active work on the Support Request. The beginning of active work by the technician can be evidenced by either the logon for Remote Access, or the e-mail by 4GL Ltd support staff.

"Resolution Time" means the number of hours between the logging of the Support Request and the provision by 4GL of a fix, or satisfactory response.

All times are deemed to be elapsed during UK Business hours (9am to 5pm), and following the UK holiday schedule.

Severity Level 4 Support Requests will be investigated on a first in / first out basis, after all Level 1/2/3 Support Requests have been solved.

Should a Severity Level 1 or 2 Support Request fail to be cleared within the Resolution Time, all applicable resources within 4GL will be called upon to assist in the issue.

If an issue cannot be reproduced, then the Resolution Time will be suspended until such time as it happens again. Meanwhile, the support team will be on alert for the re-occurrence, and to foresee the actions needed to reproduce. On reproduction, the Resolution Time will start again at zero.

We aim to meet these targets in 90% of all incidents reported.  Support issues will be worked on until a mutually agreed resolution is achieved, or until the customer requests the issue to be closed. If there is no response or update from a customer on an issue for more than 30 calendar days, the issue will be deemed closed.

The following items are assumed:

1. 4GL Ltd will have full access to the source code of any supported apps
2. Any necessary systems access will be provided
3. Development work will be performed offsite, using sample data
4. The client is able to provide relevant artefacts (logs, sample data, clarifications)

### Escalation
If a ticket cannot be resolved within the agreed SLA conditions, escalation has to be started by the assigned support department. Escalation will be made via video call between managers at both the client and 4GL.

Complaints on services should be directed to both the 4GL Engagement Manager and the client Application Owner.


### In Scope Support

Support is unlimited, but restricted to items that actually relate to the tool (eg we cannot help with permissions, or data issues, beyond the guidance in the documentation).  All support is provided remotely, using video calls / screen sharing technology.no


Examples of ‘in-scope’ (not an exhaustive list):

* configuration & usage advice
* troubleshooting
* installation / deployment support
* integration advice (actual integrations are a consulting effort)

### Out of Scope Support

Our support goal is to help you by answering questions and solving problems that relate specifically to the Data Controller for SAS® software, SASjs, or other in-house SAS-Powered Web Apps per the subscription plan.

Occasionally a situation may arise where the scope is outside of the support service, including (but not limited to) the items below.

#### Data Issues

Whilst Data Controller has been hardened over many years to deal with most data issues, there are some things that cannot be solved by the product itself, such as:

- Library configuration issues
- Permissions issues (OS or metadata)
- Physical locks (eg on SAS tables)
- System issues (outages)

#### New Features

The Data Controller Support Team can assist with troubleshooting and issue support, but they cannot create additional functionality. In this case a request may be made to enhance the product (Developer Days), or our Professional Services may be engaged to deliver a bespoke solution.

#### Integrations

Data Controller was built to ‘play nicely’ with other tools and platforms. The Support Team can assist with education and advice on how those integrations work, but they cannot perform those integrations for you. In this case, our Professional Services team should be engaged.

#### Non Standard Situations

There may be situations where support cannot give immediate fixes, such as (but not limited to):

- Issues with client computing environments
- Inability of the client to provide remote access
- Regulatory or Force Majeure events In such cases the issue will be referred to management and a call arranged to agree a way forward.

### Partner Purchases

Where Data Controller is purchased directly from one of our partners, the partner may provide first line support as per your agreement with them.

